Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(188)

Issue 7717023: Rename REMOVE_COOKIES to REMOVE_SITE_DATA (Closed)

Created:
7 years, 9 months ago by Mike West
Modified:
7 years, 8 months ago
CC:
chromium-reviews, rharrison, PaweĊ‚ Hajdan Jr., jochen (gone - plz use gerrit)
Visibility:
Public.

Description

Rename REMOVE_COOKIES to REMOVE_SITE_DATA (which will explicitly include REMOVE_LSO_DATA). There's no case in the current codebase when we want to remove _only_ LSO data, and no case where we want to remove cookies, but _not_ LSO data. There are many instances of building removal masks that binary-OR REMOVE_LSO_DATA and REMOVE_COOKIES together; this CL formalizes that by dropping the extra enum value. Moreover, we talk about "cookies" differently when targeting users on the one hand, and developers on the other. REMOVE_COOKIES is a developer-facing name with a user-facing value, which is confusing. Renaming the current functionality to REMOVE_SITE_DATA is much more explicit, and will enable us to _just_ remove cookies at some point in the future via a REMOVE_COOKIES that actually means cookies. REMOVE_SITE_DATA has exactly the same semantics that REMOVE_COOKIES used to, with one exception: REMOVE_COOKIES included deleting cached strict transport security values. This functionality has been moved to REMOVE_CACHE. As a drive-by, this CL also moves a check against the kClearPluginLSODataEnabled pref out of webui (ClearBrowsingDataHandler) and into the BrowsingDataRemover itself, where it seems more likely to be effective. BUG=92628, 94334 TEST=Nothing but removal cached transport-security values should change. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=99753

Patch Set 1 #

Patch Set 2 : Dropping REMOVE_COOKIES in favor of REMOVE_SITE_DATA. #

Total comments: 6

Patch Set 3 : Bernhard's feedback. #

Patch Set 4 : Rebased onto ToT. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+79 lines, -59 lines) Patch
M chrome/browser/automation/testing_automation_provider.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/browsing_data_remover.h View 1 2 3 chunks +22 lines, -7 lines 0 comments Download
M chrome/browser/browsing_data_remover.cc View 1 7 chunks +35 lines, -21 lines 0 comments Download
M chrome/browser/browsing_data_remover_unittest.cc View 1 10 chunks +11 lines, -8 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/extension_clear_api.cc View 1 2 chunks +4 lines, -9 lines 0 comments Download
M chrome/browser/ui/webui/chromeos/login/enterprise_oauth_enrollment_screen_handler.cc View 1 1 chunk +1 line, -4 lines 0 comments Download
M chrome/browser/ui/webui/chromeos/login/signin_screen_handler.cc View 1 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/ui/webui/options/clear_browser_data_handler.cc View 1 1 chunk +2 lines, -5 lines 0 comments Download
M chrome_frame/delete_chrome_history.cc View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 6 (0 generated)
Mike West
Hey Bernhard! When you get back from vacation, can you look at this CL? CCing ...
7 years, 9 months ago (2011-08-24 10:18:51 UTC) #1
Mike West
Let's start this again with the behavior we talked about today, Bernhard.
7 years, 8 months ago (2011-09-05 11:42:06 UTC) #2
Bernhard Bauer
http://codereview.chromium.org/7717023/diff/3001/chrome/browser/browsing_data_remover.cc File chrome/browser/browsing_data_remover.cc (right): http://codereview.chromium.org/7717023/diff/3001/chrome/browser/browsing_data_remover.cc#newcode293 chrome/browser/browsing_data_remover.cc:293: // Also delete cached TransportSecurityState data. Can you add ...
7 years, 8 months ago (2011-09-05 11:53:01 UTC) #3
Mike West
Can you take another look at the commit message, plus the fixes below? http://codereview.chromium.org/7717023/diff/3001/chrome/browser/browsing_data_remover.cc File ...
7 years, 8 months ago (2011-09-05 12:06:14 UTC) #4
Bernhard Bauer
LGTM.
7 years, 8 months ago (2011-09-06 15:34:00 UTC) #5
commit-bot: I haz the power
7 years, 8 months ago (2011-09-06 17:17:28 UTC) #6
Change committed as 99753

Powered by Google App Engine
This is Rietveld 408576698